# sdpsrc

Stream RTP based on an SDP

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──sdpsrc

## Implemented interfaces

    GstChildProxy
    GstURIHandler

## Factory details

Authors: – Sebastian Dröge <sebastian@centricular.com></sebastian@centricular.com>

Classification: – `Source/Network/RTP`

Rank – none

Plugin – sdpelem

Package – GStreamer Bad Plug-ins

## Pad Templates

### `stream_%u`

    application/x-rtp:

Presence – sometimes

Direction – src

Object type – GstPad

## Properties

### location

    “location” gchararray

URI to SDP file (sdp:///path/to/file)

Flags : Read / Write

Default value : NULL

### sdp

    “sdp” gchararray

SDP description used instead of location

Flags : Read / Write

Default value : NULL

The results of the search are